/* -*- mode: c++ -*- */
#ifndef FR_HISTORY_I
#define FR_HISTORY_I

%module frameCPP

%{
#include "general/types.hh"
#include "framecpp/FrHistory.hh"

using namespace FrameCPP;
%}

%import "framecpp/FrameCPP.hh"
%include "framecpp/FrHistory.hh"

%SharedPtr(FrHistory)


class FrHistory
{
public:

  FrHistory( );
  FrHistory( const std::string& Name,
	     INT_4U Time,
	     const std::string& Comment );
	     
  const std::string& GetName() const; 
  const std::string& GetComment( ) const;

  %insert("python") %{
     name = property( fget=lambda d:d.GetName( ) )
     comment = property( fget=lambda d:d.GetComment( ) )
  %}
};

#endif /* FR_HISTORY_I */
